%define upstream_name    GDGraph
%define upstream_version 1.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Graph Plotting Module for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(FindBin)
BuildRequires: perl(GD) >= 1.180.0
BuildRequires: perl(GD::Text) >= 0.800.0
BuildRequires: perl(Test::Exception) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-GD >= 1.20
BuildRequires: perl-GDTextUtil >= 0.83
BuildRequires: gd-devel
BuildArch:  noarch

Provides:   perl-GD-Graph
Obsoletes:  perl-GD-Graph

%description
This is GDGraph, a package to generate charts, using Lincoln
Stein's GD.pm. See the documentation for some history and more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
#find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
%makeinstall_std


%files
%doc CHANGES META.json META.yml MYMETA.yml README samples
%{perl_vendorlib}/GD/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.520.0-3pclos2017
- rebuild against updates

